Mageia 2022-0458: busybox security update | LinuxSecurity.com
MGASA-2022-0458 - Updated busybox packages fix security vulnerability

Publication date: 13 Dec 2022
URL: https://advisories.mageia.org/MGASA-2022-0458.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-30065

A use-after-free in Busybox 1.35-x's awk applet leads to denial of service
and possibly code execution when processing a crafted awk pattern in the
copyvar function. (CVE-2022-30065)

References:
- https://bugs.mageia.org/show_bug.cgi?id=31213
- https://lists.opensuse.org/archives/list/[email protected]/thread/DKNA5SMED6RSG7MVWBN6FWMQ4CMCW3HM/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30065

SRPMS:
- 8/core/busybox-1.34.1-1.2.mga8

Mageia 2022-0458: busybox security update

A use-after-free in Busybox 1.35-x's awk applet leads to denial of service and possibly code execution when processing a crafted awk pattern in the copyvar function

Summary

A use-after-free in Busybox 1.35-x's awk applet leads to denial of service and possibly code execution when processing a crafted awk pattern in the copyvar function. (CVE-2022-30065)

References

- https://bugs.mageia.org/show_bug.cgi?id=31213

- https://lists.opensuse.org/archives/list/[email protected]/thread/DKNA5SMED6RSG7MVWBN6FWMQ4CMCW3HM/

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30065

Resolution

MGASA-2022-0458 - Updated busybox packages fix security vulnerability

SRPMS

- 8/core/busybox-1.34.1-1.2.mga8

Severity
Publication date: 13 Dec 2022
URL: https://advisories.mageia.org/MGASA-2022-0458.html
Type: security
CVE: CVE-2022-30065

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.